%define upstream_name    List-Member
%define upstream_version 0.044

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    PROLOG's member/2: return index of $x in @y
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}-withoutworldwriteables.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
A tiny routine to achieve the same effect as PROLOG's 'member/2'.

Returns the index of supplied scalar in supplied array, or returns the
value of the package's '$NEG' scalar. This can be over-ridden for the case
when the target is the same as the default '-1':

	$List::Member::NEG = 'not_a_member';

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.44.0-11.mga9
+ Revision: 1804248
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.44.0-10.mga8
+ Revision: 1495388
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.44.0-9.mga7
+ Revision: 1268890
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.44.0-8.mga6
+ Revision: 1029191
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.44.0-7.mga6
+ Revision: 948764
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.44.0-6.mga5
+ Revision: 788277
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.44.0-5.mga5
+ Revision: 747922
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.44.0-4.mga5
+ Revision: 685237
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.44.0-3.mga4
+ Revision: 512606
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.44.0-2.mga3
+ Revision: 369126
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 0.44.0-1.mga3
+ Revision: 261417
- imported package perl-List-Member


* Mon Jun 18 2012 cpan2dist 0.044-withoutworldwriteables-1mga
- initial mageia release, generated with cpan2dist
